use config::Config;
use welcome_msg::print_startup_msg;

mod config;

#[allow(unused)]
mod error_reporting;
mod welcome_msg;

fn main() {
    // TODO: proper error handling
    let cfg = Config::read();

    if cfg.startup_msg {
        print_startup_msg();
    }
}
